.receita
{
    border: 1px solid gray;
    background: whitesmoke;
    box-shadow: 3px 3px 5px 0 black;
    margin-top: 15px;
    padding-top:15px;
}

.div-todos-elementos
{
    position: relative;
}

.div-receita-titulo-btn-excluir
{
    display:flex;
    justify-content: space-between;
}

.receita-titulo
{
    padding-left:15px;
    justify-content: left;
}

.div-btn-excluir-back
{
    justify-content: right;
}

.btn-excluir-receita
{
    border:none;
    cursor:pointer;
    padding: 5px 7px;
    margin-left:15px;
    margin-right:15px;
    font-size: 10px;
    border-radius: 15px;
}

.receita-postada-em
{
    padding-left:15px;
}

.receita-especialidade
{
    padding-left:15px;
}

.div-receita-imagem-texto
{
    display:flex;
}

.imagem-receita
{
    width:350px;
    height:250px;
    padding:16px;
    object-fit: contain;
    -webkit-transition: -webkit-transform .5s ease;
    transition: transform .5s ease;
}

.imagem-receita:hover {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
    z-index: -1;
 }

.texto-receita
{
    width:380px;
    height:250px;
    padding:15px;
    text-align: justify;
    overflow: hidden;
}

.div-qtde-avaliacoes
{
    padding-top:3px;
    padding-left:10px;
}

.div-like-dislike-avaliacao-btn
{
    display: block;
    flex-direction: column;
    padding-left:15px;
    padding-right:15px;
    z-index: 1;
}

.div-like-dislike
{
    display:flex;
    flex-direction: row;
}

.div-imagem-like,
.div-imagem-dislike
{
    padding-left:15px;
}

.imagem-like,
.imagem-dislike
{
    width:30px;
    height:30px; 
}

.div-numero-like,
.div-numero-dislike
{
    padding-top:4px;
    padding-left:10px;
}

.div-avaliacao
{
    display:flex;
    flex-direction: row;
}

.div-estrelas
{
    padding-left:10px;
    width:auto;
    height:65px; 
    margin-top: 5px;
}
        
.div-qtde-avaliacoes
{
    margin-top: 5px;
    padding-top:3px;
    padding-left:10px;
}

.btn-receita-completa
{
    position:absolute;
    right:-1px;
    bottom:-1px;
    padding:7px 30px;
    border:none;
    cursor:pointer;
    text-decoration: none;
}

.btn-back-to-top
{
    border:none;
    cursor:pointer;
    padding: 5px 7px;
    margin-left:15px;
    margin-right:15px;
    font-size: 10px;
    border-radius: 15px;   
}

@media screen and (max-width: 768px) 
{
    .div-receita-imagem-texto
    {
        display:block;
    }

    .imagem-receita
    {
        width:100%;
        height:100%;
        padding:16px;
        object-fit: contain;
        -webkit-transition: -webkit-transform .5s ease;
        transition: transform .5s ease;
    }

    .texto-receita
    {
        width:100%;
        height:250px;
        padding:15px;
        text-align: justify;
        overflow: hidden;
    }
    .btn-receita-completa
    {
        position:absolute;
        right:-1px;
        bottom:-1px;
        padding:7px 30px;
        border:none;
        cursor:pointer;
        text-decoration: none;
        font-size: 10px;
        justify-content: center;
    }

    .receita
    {
        border: 1px solid gray;
        background: whitesmoke;
        box-shadow: 3px 3px 5px 0 black;
        margin-top: 15px;
        margin-left:0px;
        padding-top:15px;
    }

    .div-receita-titulo-btn-excluir
    {
        display:block;
    }
 
}